<?php
//Incluimos conexion a la base de trader_cdlrisefall3methods
require "../config/Conexion.php";

Class Tecnologia
{
  //Implementando nuestro constructor
  public function __construct()
  {


  }
      public function insertar($nombre,$idservicio) {
        $sql = "INSERT INTO tecnologia (nombre, idservicio) 
                VALUES ('$nombre', '$idservicio')";
        return ejecutarConsulta($sql);
    }

    // Método para editar
    public function editar($idtecnologia, $nombre, $idservicio) {
        $sql = "UPDATE tecnologia SET 
                nombre = '$nombre', 
                idservicio = '$idservicio'                 
                WHERE idtecnologia = '$idtecnologia'";
        return ejecutarConsulta($sql);
    }

    public function listartecnologia()
    {
      $sql="SELECT r.idtecnologia,r.nombre,o.nombre as servicio FROM tecnologia r join servicio  o on r.idservicio=o.idservicio  ";
      return ejecutarConsulta($sql);

    }

    public function mostrar($idtecnologia)
    {
      $sql="SELECT * FROM tecnologia where idtecnologia='$idtecnologia'";
      return ejecutarConsultaSimpleFila($sql);

    }

    //Implementamos un metodo para eliminar registro
    public function eliminar($idtecnologia)
    {
      $sql="DELETE FROM tecnologia where idtecnologia='$idtecnologia'";
      return ejecutarConsulta($sql);
    }

    //Implementar metodo para listar los registros
    public function selectTecnologia()
    {
      $sql="SELECT * FROM tecnologia";
      return ejecutarConsulta($sql);
    }

    public function selectTecnologiaServicio($idservicio)
    {
      $sql="SELECT * FROM tecnologia where idservicio='$idservicio'";
      return ejecutarConsulta($sql);
    }

  }

 ?>